#ifndef _INCLUDE_H_
#define _INCLUDE_H_
#include <stdio.h>

#include "task.h"
extern int finish_task;
extern double finish_size;

//the max core number in a server
#define MAX_CORE 32

#define MAX_CORES (MAX_CORE * (MAX_EDGE * MAX_SRV + 1) + MAX_CLOUD)
extern FILE *fp_convergence;

struct core{
	double time_c;//computing time
    double time_in;//input data time
	int num_task; //the number of tasks assigned to the core
    struct task *tasks;//task list assigned to the core
    struct task *tail; //the last task, used for insert a task into the tail of tasks;
};

void sort_float_inc(float *nums, int num);
float find_max_time(float *times, int n);


#endif
