#include <string.h>
#include <stdlib.h>
#include <stdio.h>

#include "include.h"
#include "device.h"
#include "cloud.h"
#include "edge.h"
#include "task.h"

int ff()
{
	finish_size = 0.0;
	int index_task, index_edge, index_srv, index_core, index_cloud, index_vm;
	struct task *pos_task = NULL;
	struct dev *pos_dev = NULL;
	struct edge *pos_edge = NULL;
	struct server *pos_srv = NULL;
	struct core *pos_core = NULL;
	struct cloud *pos_cloud = NULL;
	struct vm *pos_vm = NULL;
	int finish_task = 0;
	double ft = 0.0, ft_input = 0.0;
	for(index_task=0; index_task<num_task; index_task++)
	{
		pos_task = tasks + index_task;
		//device
		pos_dev = pos_task->dev;
		for(index_core=0; index_core < pos_dev->num_core; index_core++)
		{
			pos_core = pos_dev->cores + index_core;
			ft = pos_task->size / pos_dev->ghz + pos_core->time_c;
			if(ft <= pos_task->deadline)
			{
				pos_core->time_c = ft;
				insert_tail(&pos_core->tasks, pos_task, &pos_core->tail);
				pos_core->num_task++;
				finish_task++;
				finish_size += pos_task->size;
				goto next_task;
			}
		}
		//edge
		for(index_edge=0; index_edge<num_edge; index_edge++)
		{
			if(pos_dev->edge != index_edge)
				continue;//skip edges not coverring the device
			pos_edge = edges + index_edge;
			for(index_srv=0; index_srv < pos_edge->num_srv; index_srv++)
			{
				pos_srv = pos_edge->srv + index_srv;
				for(index_core=0; index_core < pos_srv->num_core; index_core++)
				{
					pos_core = pos_srv->cores + index_core;
					ft_input = pos_task->input / pos_edge->bw_down * 8  + pos_core->time_in;
					if(ft_input < pos_core->time_c)
						ft = pos_task->size / pos_srv->ghz + pos_core->time_c;
					else
						ft = pos_task->size / pos_srv->ghz + ft_input;
					if(ft <= pos_task->deadline)
					{
						pos_core->time_c = ft;
						pos_core->time_in = ft_input;
						insert_tail(&pos_core->tasks, pos_task, &pos_core->tail);
						pos_core->num_task++;
						finish_task++;
						finish_size += pos_task->size;
						goto next_task;
					}
				}
			}
		}
		//cloud
		for(index_cloud=0; index_cloud < num_cloud; index_cloud++)
		{
			pos_cloud = clouds + index_cloud;
			for(index_vm=0; index_vm<pos_cloud->num_vm; index_vm++)
			{
				pos_vm = pos_cloud->vms[index_vm];
				ft_input = pos_task->input / pos_cloud->bw_down * 8  + pos_vm->time_in;
				if(ft_input < pos_vm->time_c)
					ft = pos_task->size / pos_cloud->ghz + pos_vm->time_c;
				else
					ft = pos_task->size / pos_cloud->ghz + ft_input;
				if(ft <= pos_task->deadline)
				{
					pos_vm->time_c = ft;
					pos_vm->time_in = ft_input;
					insert_tail(&pos_vm->tasks, pos_task, &pos_vm->tail);
					pos_vm->num_task++;
					finish_task++;
					finish_size += pos_task->size;
					goto next_task;
				}
			}
		}
		//need rent a new vm from a cloud
		for(index_cloud=0; index_cloud < num_cloud; index_cloud++)
		{
			pos_cloud = clouds + index_cloud;
			if(pos_cloud->num_vm == MAX_VM)
			{
				printf("VM number is belong to %d\n", MAX_VM);
				exit(0);
			}
			ft_input = pos_task->input / pos_cloud->bw_down * 8;
			ft = pos_task->size / pos_cloud->ghz + ft_input;
			if(ft <= pos_task->deadline)
			{
				pos_vm = (struct vm *)malloc(sizeof(struct vm));
				memset(pos_vm, 0, sizeof(struct vm));
				pos_cloud->vms[index_vm] = pos_vm;
				pos_cloud->num_vm++;
				
				pos_vm->time_c = ft;
				pos_vm->time_in = ft_input;
				insert_tail(&pos_vm->tasks, pos_task, &pos_vm->tail);
				pos_vm->num_task++;
				finish_task++;
				finish_size += pos_task->size;
			}
		}
		next_task:
			;
	}
	return finish_task;
}

int ffd()
{
	sort_task_length_dec();
	return ff();
}

int edf()
{
	sort_task_deadline_inc();
	return ff();
}

