#include <stdlib.h>
#include "include.h"

#include "task.h"
#include "cloud.h"
#include "edge.h"
#include "device.h"

int compare_float_inc(const void *p1, const void *p2)
{
	float *tsk1, *tsk2;
	tsk1 = (float *)p1;
	tsk2 = (float *)p2;
	if(*tsk1 - *tsk2 > 0)
		return 1;
	if(*tsk1 - *tsk2 < 0)
		return -1;
	return 0;
}
void sort_float_inc(float *nums, int num)
{
	qsort(nums, num, sizeof(float), compare_float_inc);
}

float find_max_time(float *times, int n)
{
	int i;
	float max;
	max = times[0];
	for(i=1; i<n; i++)
	{
		if(max < times[i])
		{
			max = times[i];
		}
	}
	return max;
}

